function love.load()
	--Makes images look pixelated
	love.graphics.setDefaultFilter("nearest")
	--Variables
	player = {x = 10, y = 10}
	--Animation
	animate = {}
	
	function animate.draw(self, ...)
		love.graphics.draw(self.frames[self.frame], ...)
	end
	
	function animate.update(self, dt)
		self.time = self.time + dt
		while self.time > self.duration do
			self.time = self.time - self.duration
			self.frame = self.frame + 1
			if self.frame > #self.frames then
				self.frame = 1
			end
		end
	end
	
	function animate.animate(frame, duration, ...)
		return {
			frame = frame or 1,
			frames = {...},
			time = 0,
			duration = duration,
			update = animate.update,
			draw = animate.draw,
		}
	end
	rizon1 = love.graphics.newImage('rizonstand1.png')
	rizon2 = love.graphics.newImage('rizonstand2.png')
	anim = animate.animate(nil, 0.2, rizon1, rizon2)
	--Gamestates
	stateIntro = false
	stateMenu = false
	stateGame = false
end



function love.update(dt)
	--Movement player
		if love.keyboard.isDown('escape') then
			love.event.push('quit')
		end

		if love.keyboard.isDown('d', 'right', 'a', 'left', 's', 'down', 'w', 'up') then
			anim:update(dt)
			if love.keyboard.isDown('d', 'right') then
				player.x = player.x + 1
			end
			if love.keyboard.isDown('a', 'left') then
				player.x = player.x - 1 
			end
			if love.keyboard.isDown('s', 'down') then
				player.y = player.y + 1
			end
			if love.keyboard.isDown('w', 'up') then
				player.y = player.y - 1 
			end
		end
	--Change states in the program
		if love.keyboard.isDown('escape') then
			love.event.push('quit')
		end
		if love.keyboard.isDown('1') then
				stateIntro = true
				stateMenu = false
				stateGame = false
		elseif love.keyboard.isDown('2') then
				stateIntro = false
				stateMenu = true
				stateGame = false 
		elseif love.keyboard.isDown('3') then
				stateIntro = false
				stateMenu = false
				stateGame = true
		end	
end



function love.draw()
	--Scales everything
	love.graphics.scale(3, 3)
	--stateChange()
	if stateIntro == true then
	elseif stateMenu == true then
	elseif stateGame == true then
		love.graphics.setBackgroundColor(0, 0, 255)
		--love.graphics.draw(animateRizon.frame, player.x, player.y)
		anim:draw(player.x, player.y)
		--movement()
	end
end
